#include <stdio.h>

int nadji(int duzina, int visina, int niz[]);

int main()
{
    int n, l;
    scanf("%d%d", &n, &l);


    int stal[n];
    for(int i = 0; i<n; i++) scanf("%d", &stal[i]);

    printf("%d", nadji(n, l, stal));

    return 0;
}

int nadji(int duzina, int visina, int niz[])
{
    int mesto = -1;
    
    int i = 0;

    for(int i = 0; i<duzina; i++)
    {
        if(niz[i]<=visina)
        {
            mesto=i+1; break;
        }
    }
    
    

    return mesto;
}